> ## Documentation Index
> Fetch the complete documentation index at: https://docs.feedspace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Page

> Create a new page.



## OpenAPI

````yaml POST /pages
openapi: 3.1.0
info:
  title: Feedspace API
  description: Feedspace API v3 - Feedback and testimonial management platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.feedspace.io/v3
security: []
paths:
  /pages:
    post:
      tags:
        - Pages
      description: Create a new page.
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the page
                custom_attributes:
                  type: object
                  description: Custom attributes for the page
                  properties:
                    cta_enabled:
                      type: boolean
                      description: Enable CTA section
                    cta_attributes:
                      type: object
                      properties:
                        heading_text:
                          type: string
                          description: CTA heading text (max 120 characters)
                        body_text:
                          type: string
                          description: CTA body text (max 500 characters)
                        button_label:
                          type: string
                          description: CTA button label (max 60 characters)
                        button_color:
                          type: string
                          description: CTA button color (max 20 characters)
                        position:
                          type: string
                          description: CTA position (max 50 characters)
                        card_background_color:
                          type: string
                          description: CTA card background color (max 20 characters)
                        card_border_color:
                          type: string
                          description: CTA card border color (max 20 characters)
                        button_url:
                          type: string
                          description: CTA button URL (max 2048 characters)
              required:
                - name
      responses:
        '200':
          description: Page created successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    type: object
              examples:
                success:
                  value:
                    message: Page Created Successfully
                    data:
                      id: 407
                      unique_page_id: page_asN7DjyRStBAGx4xANmUuNK5
                      slug: J0SrBzf5yj
                      public_url: https://www.feedspace.io/w/J0SrBzf5yj
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        HTTP Basic Authentication using API Key and Secret Key. The credentials
        should be Base64 encoded in the format 'api_key:secret_key'. You can
        obtain your API Key and Secret Key from Feedspace → Automation → API
        (https://app.feedspace.io/automation/api).

````